Guests
List Guests
Lists Guests for linked Members
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
status?array<>|
member_id?array<>|
guest_policy_id?|
page?integer
Page number
Default
1Range
1 <= valuesize?integer
Page size
Default
50Range
1 <= value <= 100Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.members.dev/portal/v1/guests"{
"items": [
{
"id": "string",
"guest_policy_id": "string",
"member_id": "string",
"member": {
"id": "string",
"short_id": "string",
"name": "string"
},
"name": "string",
"status": "pending",
"ends_at": null,
"approved_at": {},
"rejected_at": {},
"cancelled_at": {},
"expired_at": {},
"benefit_usage_id": "string",
"reversal_benefit_usage_id": "string",
"custom_fields": {},
"created_at": null,
"updated_at": null
}
],
"total": 0,
"page": 1,
"size": 1,
"pages": 0
}{
"type": "https://api.members.dev/errors/invalid_credentials",
"title": "Invalid credentials",
"status": 401,
"detail": "Invalid API Key or token.",
"code": "invalid_credentials"
}{
"type": "https://api.members.dev/errors/not_linked_to_tenant",
"title": "Not linked to tenant",
"status": 403,
"detail": "Not linked to this tenant",
"code": "not_linked_to_tenant"
}{
"type": "https://api.members.dev/errors/member_not_found",
"title": "Member not found",
"status": 404,
"detail": "No member exists with the given id in this organization.",
"code": "member_not_found"
}{
"type": "https://api.members.dev/errors/members_context_required",
"title": "Members context required",
"status": 422,
"detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
"code": "members_context_required"
}{
"type": "https://api.members.dev/errors/rate_limit_exceeded",
"title": "Rate limit exceeded",
"status": 429,
"detail": "Rate limit exceeded",
"code": "rate_limit_exceeded"
}